- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# FbxNodePositionBOF Class Reference

Search for all occurrences

## Detailed Description

An evaluation operator to get the position of the node that is bound with this operator via a certain property.

The position of the node is represented by translation.

Definition at line 355 of file fbxbindingoperator.h.

`#include <fbxbindingoperator.h>`

Inheritance diagram for FbxNodePositionBOF:
[legend]

List of all members.

## Public Member Functions
virtual bool | Evaluate (FbxBindingOperator const *pOperator, FbxObject const *pObject, EFbxType *pResultType, void **pResult) const
| Evaluate the position of the node that is bound with this operator via a certain property.
virtual bool | ReverseEvaluate (FbxBindingOperator const *pOperator, FbxObject const *pTarget, void const *pIn, void **pOut, EFbxType *pOutType, bool setObj, int index) const
| Inverse evaluation for this binding function is not implemented yet.
| FbxNodePositionBOF ()
virtual | ~FbxNodePositionBOF ()
## Static Public Attributes
static char const * | FunctionName
| Name of the operation function.

## Constructor & Destructor Documentation

FbxNodePositionBOF | ( |  | ) |

virtual ~FbxNodePositionBOF | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Evaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pObject,
|  | EFbxType * | pResultType,
|  | void ** | pResult
| ) |  | const `[virtual]`

Search for all occurrences

Evaluate the position of the node that is bound with this operator via a certain property.

The position of the node is represented by translation.

Parameters:

  pOperator | Operator running on the object.
  pObject | The object that will be evaluated.
  pResultType | The type of the result to be returned, eFbxDouble4 in this case.
  pResult | A pointer to a buffer that can hold the result.

Returns:
  `true` on success, `false` otherwise.

Implements FbxBindingOperator::Function.

virtual bool ReverseEvaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pTarget,
|  | void const * | pIn,
|  | void ** | pOut,
|  | EFbxType * | pOutType,
|  | bool | setObj,
|  | int | index
| ) |  | const `[virtual]`

Search for all occurrences

Inverse evaluation for this binding function is not implemented yet.

Implements FbxBindingOperator::Function.

## Member Data Documentation

char const* FunctionName `[static]`

Search for all occurrences

Name of the operation function.

Definition at line 359 of file fbxbindingoperator.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingoperator.h

FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF
FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF FbxNodePositionBOF